
:root {
	--beon-slider-padding-left-desktop: calc(( 100% - 1200px ) / 2);
}

/* Allgemeine Stylings */
.hovereffect:hover {
	filter: brightness(90%);
}

.cuxland-swiper.swiper {
	padding-top: 40px;
	z-index: 0;
}

.cuxland-swiper .swiper-slide {
	width: 240px;
}

.cuxland-swiper .swiper-button-prev {
	position: absolute;
	background-image: url("https://cdn-ilbhjmd.nitrocdn.com/XIVQBAprAMBLGvNQfWKYUDPccqgweJTU/assets/images/optimized/rev-b3582c1/www.cuxlandparks.de/wp-content/themes/cuxlandparks/assets/images/swiper-arrow-left.svg");
	background-size: contain;
	transform: rotate(0deg);
	width: 40px;
	height: 40px;
	top: 40px;
	left: auto;
	right: 120px;
}

.cuxland-swiper .swiper-button-prev.nitro-lazy {
	background-image: none !important;
}

.cuxland-swiper .swiper-button-next {
	position: absolute;
	background-image: url("https://cdn-ilbhjmd.nitrocdn.com/XIVQBAprAMBLGvNQfWKYUDPccqgweJTU/assets/images/optimized/rev-b3582c1/www.cuxlandparks.de/wp-content/themes/cuxlandparks/assets/images/swiper-arrow-right.svg");
	background-size: contain;
	width: 40px;
	height: 40px;
	top: 40px;
	left: auto;
	right: 60px;
}

.cuxland-swiper .swiper-button-next.nitro-lazy {
	background-image: none !important;
}

.cuxland-swiper .swiper-button-prev::after, .cuxland-swiper .swiper-button-next::after {
	content: "";
}

/* Spezifisch */
.beon-contentpage-repeater .swiper-heading {
	padding-left: var(--beon-slider-padding-left-desktop);
}

.beon-contentpage-repeater {
	padding-bottom: 50px;
}

.beon-beitrag-slider .swiper-heading {
	padding-left: var(--beon-slider-padding-left-desktop);
}

.beon-ferienpark-slider .swiper-heading {
	padding-left: var(--beon-slider-padding-left-desktop);
}

/* .beon-childpages-slider .swiper-heading {
    padding-left: var(--beon-slider-padding-left-desktop);
} */
.beon-beitrag-slider .swiper-slide, .beon-ferienpark-slider .swiper-slide {
	width: 300px;
}

img.content-highlight-img {
	height: 300px;
	width: 240px;
	object-fit: cover;
	border-radius: var(--beon-border-radius);
}

.beon-beitrag-slider img.content-highlight-img, .beon-ferienpark-slider img.content-highlight-img {
	width: 300px;
}

.content-highlight-headline {
	width: 240px;
}

.content-highlight-excerpt {
	color: var(--beon-text-color);
	width: 240px;
}

.content-highlight-container {
	position: relative;
}

.content-highlight-copyright {
	opacity: 0;
	transition: opacity .15s ease-in-out;
	color: white;
	/* transform: rotate(-90deg); */
	position: absolute;
	top: 0px;
	left: 0px;
	font-size: 14px;
	line-height: 16px;
	width: 100%;
	background: rgba(0, 0, 0, .1);
	padding: 10px;
	border-top-left-radius: var(--beon-border-radius);
	border-top-right-radius: var(--beon-border-radius);
}

.content-highlight-container:hover .content-highlight-copyright {
	opacity: 1;
}

.content-highlight-copyright::before {
	content: "©";
	padding-right: 5px;
}

.beon-park-highlight-slider.swiper {
	padding-top: 70px;
}

.beon-park-highlight-slider .swiper-button-prev {
	width: 35px;
	height: 35px;
	right: 90px;
}

.beon-park-highlight-slider .swiper-button-next {
	width: 35px;
	height: 35px;
	right: 45px;
}

.park-unit-count {
	opacity: 0;
	color: var(--beon-text-color);
	font-weight: 600;
	transition: all .5s ease-in-out;
	display: flex;
	justify-content: left;
	align-items: center;
}

.swiper-slide:hover .park-unit-count {
	opacity: 1;
}

.park-unit-count img {
	height: 25px;
	transform: rotate(180deg);
}

.gallery-unit-count {
	opacity: 0;
	color: white;
	font-weight: 600;
	transition: all .5s ease-in-out;
	display: flex;
	justify-content: left;
	align-items: center;
}

.item1:hover .gallery-unit-count {
	opacity: 1;
}

.item2:hover .gallery-unit-count {
	opacity: 1;
}

.gallery-unit-count img {
	height: 25px;
	filter: invert(1);
	transform: rotate(180deg);
}

@media only screen and (max-width: 1200px) {
	.cuxland-swiper .swiper-heading {
		padding-left: 20px;
	}
	
	.cuxland-swiper .swiper-button-prev {
		width: 35px;
		height: 35px;
		top: 60px;
		right: 70px;
	}
	
	.cuxland-swiper .swiper-button-next {
		width: 35px;
		height: 35px;
		top: 60px;
		right: 20px;
	}
}

[data-elementor-type=popup] .elementor-section-wrap:not(:empty) + #elementor-add-new-section, [data-elementor-type=popup]:not(.elementor-edit-area) {
	display: none;
}

.elementor-popup-modal.dialog-type-lightbox {
	background-color: transparent;
	display: flex;
	pointer-events: none;
	-webkit-user-select: auto;
	-moz-user-select: auto;
	user-select: auto;
}

.elementor-popup-modal .dialog-buttons-wrapper, .elementor-popup-modal .dialog-header {
	display: none;
}

.elementor-popup-modal .dialog-close-button {
	display: none;
	inset-inline-end: 20px;
	margin-top: 0;
	opacity: 1;
	pointer-events: all;
	top: 20px;
	z-index: 9999;
}

.elementor-popup-modal .dialog-close-button svg {
	fill: #1f2124;
	height: 1em;
	width: 1em;
}

.elementor-popup-modal .dialog-widget-content {
	background-color: #fff;
	border-radius: 0;
	box-shadow: none;
	max-height: 100%;
	max-width: 100%;
	overflow: visible;
	pointer-events: all;
	width: auto;
}

.elementor-popup-modal .dialog-message {
	display: flex;
	max-height: 100vh;
	max-width: 100vw;
	overflow: auto;
	padding: 0;
	width: 640px;
}

.elementor-popup-modal .elementor {
	width: 100%;
}

.header-directsearch #dropdown_search_units_header select {}

form > .select2-container, #dropdown_search_units_header .select2-container {
	width: 100% !important;
	height: 54px;
	/* border: 1px solid var(--beon-button-color); */
	border-radius: var(--beon-border-radius);
	color: var(--beon-button-color);
}

#dropdown_search_units_header {
	border-radius: var(--beon-border-radius);
	border: 1px solid white;
}

#dropdown_search_units_header .select2-container--default .select2-selection--single .select2-selection__placeholder {
	color: white;
}

#dropdown_search_units_header .select2-container .select2-selection--single .select2-selection__rendered {
	padding-left: 24px;
	padding-right: 24px;
	color: white;
}

#dropdown_search_units_header .select2-container .select2-selection--single {
	height: 100%;
	display: flex;
	align-items: center;
	justify-content: left;
	width: 100%;
	outline: none;
}

#dropdown_search_units_header .select2-container--default .select2-selection--single {
	border: none;
	background: transparent;
}

#dropdown_search_units_header span.select2-selection__arrow {
	opacity: 0;
}

.select2-container--default .select2-results__option--highlighted[aria-selected] {
	background-color: var(--beon-button-color);
	color: white;
}

.select2-container--default .select2-results > .select2-results__options {
	max-height: 400px;
}
